#pragma once
#include "panel.hpp"
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/Font.hpp>
#include "ecs_gui.hpp"

namespace gui {
  class CombatUI {
    public:
      GUECS $gui;
      GameLevel $level;

      CombatUI(GameLevel level);

      void render(TexturePack& texture);
      void draw(sf::RenderWindow& window);
      void update_level(GameLevel &level) { $level = level; }
      void click(int x, int y);
  };
}
